﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

public class volcanosound : MonoBehaviour {
    int objno = 0; // set this to the RTcmix instance you are using for this script
    rtcmixmain RTcmix;
    private bool did_start = false;

    public TextAsset vtext;
    String vscore;


    private void Awake()
    {
        // find the RTcmixmain object with the RTcmix function definitions
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }


    // Use this for initialization
    void Start()
    {
        // initialize RTcmix
        RTcmix.initRTcmix(objno);

        vscore = vtext.text;

        RTcmix.SendScore(vscore, objno);

        did_start = true;
    }


    // Update is called once per frame
    void Update()
    {
    }


    // called once for each sample-buffer. data[] contains incoming and outgoing samples
    void OnAudioFilterRead(float[] data, int channels)
    {
        if (!did_start) return;

        // compute sound samples
        RTcmix.runRTcmix(data, objno, 0); // set "0" to "1" for input processing

        if (RTcmix.checkbangRTcmix(objno) == 1) {
            // a MAXBANG was received
            RTcmix.SendScore(vscore, objno);
        }
    }


    void OnApplicationQuit()
    {
        did_start = false;
        RTcmix = null;
    }
}
